This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1279595 - ERROR log line associated with event processing "<AutomationEngine> Class [System/Event/EmsEvent/VC] not found in MiqAeDatastore"
ERROR log line associated with event processing "<AutomationEngine> Class [Sy...
Status: CLOSED DUPLICATE of bug 1277220
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.5.0
x86_64 Linux
unspecified Severity medium
: GA
: 5.5.0
Assigned To: Greg Blomquist
Dave Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-09 15:07 EST by Thomas Hennessy
Modified: 2015-11-14 11:34 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-14 11:34:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Hennessy 2015-11-09 15:07:16 EST
Description of problem: thousands of error log lines per day seeminly associated with VMware event processing


Version-Release number of selected component (if applicable):
5.5.0.9-beta2

How reproducible:
Enable events on Beta2 appliance with a defined VMware provider and pray for events.


Steps to Reproduce:
1.
2.
3.

Actual results:
thousands of error log lines

Expected results:
no error log lines.

Additional info:
context from which errors are emitted follows:
=====
[----] I, [2015-11-06T10:29:14.992989 #2865:6b998c]  INFO -- : MIQ(MiqPriorityWorker::Runner#get_message_via_drb) Message id: [441000000000493], MiqWorker id: [441000000000018], Zone: [default], Role: [automate], Server: [], Ident: [generic], Target id: [], Instance id: [], Task id: [], Command: [MiqAeEngine.deliver], Timeout: [3600], Priority: [20], State: [dequeue], Deliver On: [], Data: [], Args: [{:object_type=>"EmsEvent", :object_id=>441000000000067, :attrs=>{:event_id=>441000000000067, :event_stream_id=>441000000000067, :event_type=>"BadUsernameSessionEvent", "ExtManagementSystem::ems"=>441000000000002, :ems_id=>441000000000002}, :instance_name=>"Event", :user_id=>441000000000001, :miq_group_id=>441000000000001, :tenant_id=>441000000000001, :automate_message=>nil}], Dequeued in: [3.994886476] seconds
[----] I, [2015-11-06T10:29:14.997459 #2865:6b998c]  INFO -- : MIQ(MiqAeEngine.deliver) Delivering {:event_id=>441000000000067, :event_stream_id=>441000000000067, :event_type=>"BadUsernameSessionEvent", "ExtManagementSystem::ems"=>441000000000002, :ems_id=>441000000000002} for object [EmsEvent.441000000000067] with state [] to Automate
[----] I, [2015-11-06T10:29:15.087890 #2865:6b998c]  INFO -- : <AutomationEngine> Instantiating [/System/Process/Event?EventStream%3A%3Aevent_stream=441000000000067&ExtManagementSystem%3A%3Aems=441000000000002&MiqServer%3A%3Amiq_server=441000000000002&User%3A%3Auser=441000000000001&ems_id=441000000000002&event_id=441000000000067&event_stream_id=441000000000067&event_type=BadUsernameSessionEvent&object_name=Event&vmdb_object_type=event_stream]
[----] I, [2015-11-06T10:29:15.127640 #2865:6b998c]  INFO -- : <AutomationEngine> Updated namespace [/System/Process/Event?EventStream%3A%3Aevent_stream=441000000000067&ExtManagementSystem%3A%3Aems=441000000000002&MiqServer%3A%3Amiq_server=441000000000002&User%3A%3Auser=441000000000001&ems_id=441000000000002&event_id=441000000000067&event_stream_id=441000000000067&event_type=BadUsernameSessionEvent&object_name=Event&vmdb_object_type=event_stream  ManageIQ/System]
[----] I, [2015-11-06T10:29:15.323990 #2865:6b998c]  INFO -- : <AutomationEngine> Following Relationship [miqaedb:/System/Event/EmsEvent/VC/BadUsernameSessionEvent#create]
[----] E, [2015-11-06T10:29:15.440510 #2865:6b998c] ERROR -- : <AutomationEngine> Class [System/Event/EmsEvent/VC] not found in MiqAeDatastore
[----] I, [2015-11-06T10:29:15.440819 #2865:6b998c]  INFO -- : <AutomationEngine> Followed  Relationship [miqaedb:/System/Event/EmsEvent/VC/BadUsernameSessionEvent#create]
[----] I, [2015-11-06T10:29:15.441851 #2865:6b998c]  INFO -- : MIQ(MiqQueue#delivered) Message id: [441000000000493], State: [ok], Delivered in [0.448625419] seconds
[----] I, [2015-11-06T10:29:31.598266 #2865:6b998c]  INFO -- : MIQ(MiqPriorityWorker::Runner#get_message_via_drb) Message id: [441000000000498], MiqWorker id: [441000000000018], Zone: [default], Role: [automate], Server: [], Ident: [generic], Target id: [], Instance id: [], Task id: [], Command: [MiqAeEngine.deliver], Timeout: [3600], Priority: [20], State: [dequeue], Deliver On: [], Data: [], Args: [{:object_type=>"EmsEvent", :object_id=>441000000000069, :attrs=>{:event_id=>441000000000069, :event_stream_id=>441000000000069, :event_type=>"BadUsernameSessionEvent", "ExtManagementSystem::ems"=>441000000000002, :ems_id=>441000000000002}, :instance_name=>"Event", :user_id=>441000000000001, :miq_group_id=>441000000000001, :tenant_id=>441000000000001, :automate_message=>nil}], Dequeued in: [3.7006385] seconds
[----] I, [2015-11-06T10:29:31.600848 #2865:6b998c]  INFO -- : MIQ(MiqAeEngine.deliver) Delivering {:event_id=>441000000000069, :event_stream_id=>441000000000069, :event_type=>"BadUsernameSessionEvent", "ExtManagementSystem::ems"=>441000000000002, :ems_id=>441000000000002} for object [EmsEvent.441000000000069] with state [] to Automate
[----] I, [2015-11-06T10:29:31.612380 #2865:6b998c]  INFO -- : <AutomationEngine> Instantiating [/System/Process/Event?EventStream%3A%3Aevent_stream=441000000000069&ExtManagementSystem%3A%3Aems=441000000000002&MiqServer%3A%3Amiq_server=441000000000002&User%3A%3Auser=441000000000001&ems_id=441000000000002&event_id=441000000000069&event_stream_id=441000000000069&event_type=BadUsernameSessionEvent&object_name=Event&vmdb_object_type=event_stream]
[----] I, [2015-11-06T10:29:31.660386 #2865:6b998c]  INFO -- : <AutomationEngine> Updated namespace [/System/Process/Event?EventStream%3A%3Aevent_stream=441000000000069&ExtManagementSystem%3A%3Aems=441000000000002&MiqServer%3A%3Amiq_server=441000000000002&User%3A%3Auser=441000000000001&ems_id=441000000000002&event_id=441000000000069&event_stream_id=441000000000069&event_type=BadUsernameSessionEvent&object_name=Event&vmdb_object_type=event_stream  ManageIQ/System]
[----] I, [2015-11-06T10:29:31.803380 #2865:6b998c]  INFO -- : <AutomationEngine> Following Relationship [miqaedb:/System/Event/EmsEvent/VC/BadUsernameSessionEvent#create]
[----] E, [2015-11-06T10:29:31.899332 #2865:6b998c] ERROR -- : <AutomationEngine> Class [System/Event/EmsEvent/VC] not found in MiqAeDatastore
[----] I, [2015-11-06T10:29:31.899604 #2865:6b998c]  INFO -- : <AutomationEngine> Followed  Relationship [miqaedb:/System/Event/EmsEvent/VC/BadUsernameSessionEvent#create]
[----] I, [2015-11-06T10:29:31.900544 #2865:6b998c]  INFO -- : MIQ(MiqQueue#delivered) Message id: [441000000000498], State: [ok], Delivered in [0.302062311] seconds

=====
Comment 2 Dave Johnson 2015-11-14 11:34:54 EST

*** This bug has been marked as a duplicate of bug 1277220 ***

Note You need to log in before you can comment on or make changes to this bug.